xoops forums

_masi

Just popping in
Posted on: 2003/5/21 15:53
_masi
_masi (Show more)
Just popping in
Posts: 19
Since: 2003/3/28
#1

Smarty version that XOOPS uses

As I see it XOOPS uses a vanilla 2.3.0 Smarty.

Only plugins/resource.db.php is new. Is this correct?

onokazu

XOOPS Founder
Posted on: 2003/5/21 16:24
onokazu
onokazu (Show more)
XOOPS Founder
Posts: 617
Since: 2001/12/13
#2

Re: Smarty version that XOOPS uses

Yes, only some files in the plugins directory are the ones that we added. It may be better to move those files out of that directory though, so we can just replace the Smarty directory when it is updated.

_masi

Just popping in
Posted on: 2003/5/21 21:25
_masi
_masi (Show more)
Just popping in
Posts: 19
Since: 2003/3/28
#3

Re: Smarty version that XOOPS uses

Moving them should be fairly easy. I guess it's more or less creating a new dir with the XOOPS Smarty plugins and registering them in the XoopsTpl constructor.

Doing this would also to allow one central installation of Smarty shared by many apps at a site.

I'll investigate this matter.

zer0fill

Not too shy to talk
Posted on: 2003/12/20 18:37
zer0fill
zer0fill (Show more)
Not too shy to talk
Posts: 137
Since: 2003/12/2
#4

Re: Smarty version that XOOPS uses

what about adding "custom_plugins" subdirectory under the smarty dir? that way we can seperate our own custom plugins and the official plugins (without editing the XOOPS template class)